
(function ($) {
	$(document).ready(function() {
		$.entwine(function($) {
			$(".fastrack-toggle-field").entwine({
				onmatch: function(x) {
					if (this.prop('tagName').toUpperCase() !== 'SELECT') {
						return;
					}

					const compositeFields = [];
					for (const option of this.get(0).options) {
						const field = document.querySelector('.fastrack-toggle-field--' + option.value);
						if (field) {
							compositeFields.push($(field));
						}
					}

					const hideFields = function (value) {
						const className = 'fastrack-toggle-field--' + value;
						compositeFields.forEach(function (f) {
							if (f.hasClass(className)) {
								f.slideDown(400, function () {
									$(this).css('overflow', 'visible');
								});
							} else {
								f.slideUp();
							}
						});
					}

					this.on('change', function (event) {
						hideFields(event.currentTarget.value);
					});

					hideFields(this.val());

					this._super();
				}
			});
		});
	});
})(jQuery);
