<?php

namespace Fastrack\Core\Api;

use SilverStripe\CMS\Controllers\ContentController;
use SilverStripe\Control\HTTPResponse;
use SilverStripe\Core\Config\Config;
use SilverStripe\SiteConfig\SiteConfig;

class BookingInterfaceApi extends ContentController
{

	private static string $room_icon = '/_resources/app/img/booking-interface/room.svg';
	private static string $bathroom_icon = '/_resources/app/img/booking-interface/bathroom.svg';
	private static string $guest_icon = '/_resources/app/img/booking-interface/guest.svg';

	private static array $allowed_actions = [
		'settings',
	];

	private static array $url_handlers = [
		'settings' => 'settings',
	];

	public function settings() : HTTPResponse
	{
		$cacheKey = 'booking-interface-settings';


		$config = SiteConfig::current_site_config();

		$settings = [
			'roomsPage' => $config->BookingInterfaceRoomsPage()->Link(),
			'guestDetailsPage' => $config->BookingInterfaceGuestDetailsPage()->Link(),
			'termsAndConditionsPage' => $config->BookingInterfaceTermsAndConditionsPage()->Link(),
			'roomIcon' => Config::inst()->get(self::class, 'room_icon'),
			'bathroomIcon' => Config::inst()->get(self::class, 'bathroom_icon'),
			'guestIcon' => Config::inst()->get(self::class, 'guest_icon'),
		];
		Api::setCache($cacheKey, $settings);
		return Api::constructResponse($this, $settings);
	}

}
