<?php

namespace Fastrack\Core\Extension;

use SilverStripe\Forms\HeaderField;
use SilverStripe\Forms\TextField;
use SilverStripe\Forms\FieldList;
use SilverStripe\ORM\DataExtension;
use SilverStripe\ORM\DataObject;
use SilverStripe\SiteConfig\SiteConfig;

/**
 * @see ContactExtension
 * @property string $Email
 * @property string $Phone
 * @property string $Facebook
 * @property string $Twitter
 * @property string $Instagram
 * @property string $Youtube
 * @property string $TripAdvisor
 * @property string $LinkedIn
 */
class ContactExtension extends DataExtension
{

	private static array $db = [
		'Email' => 'Varchar',
		'Phone' => 'Varchar',
		'Facebook' => 'Varchar',
		'Twitter' => 'Varchar',
		'Instagram' => 'Varchar',
		'Youtube' => 'Varchar',
		'TripAdvisor' => 'Varchar',
		'LinkedIn' => 'Varchar',
	];

	public function updateCMSFields(FieldList $fields): void
	{
		$dataFields = [
			TextField::create('Email'),
			TextField::create('Phone'),
			TextField::create('Facebook'),
			TextField::create('Youtube'),
			TextField::create('Instagram'),
			TextField::create('LinkedIn', 'LinkedIn'),
			TextField::create('Twitter'),
			TextField::create('TripAdvisor', 'TripAdvisor'),
		];
		if ($this->getOwner() instanceof SiteConfig) {
			$fields->addFieldsToTab('Root.Contact', $dataFields);
		} else {
			SecondaryTabSet::addFields($fields, $dataFields, 'Contact');
		}
	}

}
