<?php

namespace Fastrack\Core\Field;


use SilverStripe\Core\Config\Config;
use SilverStripe\Forms\LiteralField;
use SilverStripe\SiteConfig\SiteConfig;
use SilverStripe\View\SSViewer;

class GoogleMapField extends LiteralField
{


	public function __construct($name)
	{
		$defaultCoordinates = explode(',', Config::inst()->get(self::class, 'default_coordinates'));
		if (!is_array($defaultCoordinates) || count($defaultCoordinates) !== 2) {
			$defaultCoordinates = ['-25.801516', '134.059830'];
		}
		$this->setAttribute('data-key', SiteConfig::current_site_config()->getField('GoogleMapAPIKey'));
		$this->setAttribute('data-default-latitude', $defaultCoordinates[0]);
		$this->setAttribute('data-default-longitude', $defaultCoordinates[1]);
		$html = (string) $this->renderWith(SSViewer::get_templates_by_class($this, '', __CLASS__));
		parent::__construct($name, $html);
	}

}
