<?php

namespace Fastrack\Core\Model;

use SilverStripe\LinkField\Models\Link;

/**
 * @method Property Property()
 */
class BookingLink extends Link
{
	private static string $table_name = 'LinkField_BookingLink';

	private static array $has_one = [
		'Property' => Property::class,
	];

	public function generateLinkDescription(array $data): string
	{
		$propertyId = $data['PropertyID'] ?? null;
		if (!$propertyId) {
			return '';
		}
		$property = Property::get()->byID($propertyId);
		if ($property->exists()) {
			return $property->ConstructBookingLink();
		}
		return '';
	}

	public function getURL(): string
	{
		$property = $this->Property();
		if (!$property->exists()) {
			return '';
		}
		return $property->ConstructBookingLink();
	}


}
