<?php

namespace Fastrack\Core\Model;

use SilverStripe\Forms\FieldList;
use SilverStripe\ORM\DataObject;
use SilverStripe\ORM\HasManyList;

/**
 * @property string Title
 * @property string Description
 * @method Imgix Image()
 * @method HasManyList Features()
 */
class SharedFeature extends DataObject
{
	private static string $table_name = 'SharedFeature';

	private static array $db = [
		'Title' => 'Varchar',
		'Description' => 'Text',
	];

	private static array $has_one = [
		'Image' => Imgix::class,
	];

	private static array $has_many = [
		'Features' => Feature::class,
	];

	private static array $owns = [
		'Image',
	];

	public function getCMSFields(): FieldList
	{
		$fields = parent::getCMSFields();
		$fields->removeByName(['Features']);
		return $fields;
	}

}
