<?php

namespace Fastrack\Core\Util;

class CachedDirectory
{
	private int $exists;

	public function __construct(int $exists)
	{
		$this->exists = $exists;
	}

	public function exists(): int
	{
		return $this->exists;
	}

	public function serialize(): string
	{
		return json_encode([
			'exists' => $this->exists,
		]);
	}

	public static function deserialize(string $serialized): self
	{
		$data = json_decode($serialized);
		return new CachedDirectory($data->exists);
	}

}
