<?php

namespace Fastrack\Core\Util\PaymentGateway;

use stdClass;

class Transaction
{

	private stdClass $data;
	private Card $card;

	public function __construct(stdClass $data)
	{
		$this->data = $data;
		$this->card = new Card($data->card);
	}

	public function getId(): string
	{
		return $this->data->id;
	}

	public function getUsername(): string
	{
		return $this->data->username;
	}

	public function getAuthorised(): bool
	{
		return $this->data->authorised;
	}

	public function getReCo(): string
	{
		return $this->data->reCo;
	}

	public function getResponseText(): string
	{
		return $this->data->responseText;
	}

	public function getAuthCode(): string
	{
		return $this->data->authCode;
	}

	public function getType(): string
	{
		return $this->data->type;
	}

	public function getMethod(): string
	{
		return $this->data->method;
	}

	public function getLocalTimeZone(): string
	{
		return $this->data->localTimeZone;
	}

	public function getDateTimeUtc(): string
	{
		return $this->data->dateTimeUtc;
	}

	public function getDateTimeLocal(): string
	{
		return $this->data->dateTimeLocal;
	}

	public function getSettlementDate(): string
	{
		return $this->data->settlementDate;
	}

	public function getAmount(): string
	{
		return $this->data->amount;
	}

	public function getBalanceAmount(): string
	{
		return $this->data->balanceAmount;
	}

	public function getAmountSurcharge(): string
	{
		return $this->data->amountSurcharge;
	}

	public function getCurrency(): string
	{
		return $this->data->currency;
	}

	public function getCurrencyNumeric(): int
	{
		return $this->data->currencyNumeric;
	}

	public function getClientType(): string
	{
		return $this->data->clientType;
	}

	public function getMerchantReference(): string
	{
		return $this->data->merchantReference;
	}

	public function getCvc2ResultCode(): string
	{
		return $this->data->cvc2ResultCode;
	}

	public function getStoredCardIndicator(): string
	{
		return $this->data->storedCardIndicator;
	}

	public function getNotificationUrl(): string
	{
		return $this->data->notificationUrl;
	}

	public function getSessionId(): string
	{
		return $this->data->sessionId;
	}

	public function getIsSurcharge(): bool
	{
		return $this->data->isSurcharge;
	}

	public function getLiabilityIndicator(): string
	{
		return $this->data->liabilityIndicator;
	}

	public function getCard(): Card
	{
		return $this->card;
	}

}
