<?php

namespace Fastrack\Core\Util;

use Predis\Client;
use SilverStripe\Core\Cache\CacheFactory;
use SilverStripe\Core\Injector\Injector;
use Symfony\Component\Cache\Adapter\RedisAdapter;
use Symfony\Component\Cache\Psr16Cache;

class RedisCacheFactory implements CacheFactory
{

	private Client $client;

	public function __construct(Client $client)
	{
		$this->client = $client;
	}

	public function create($service, array $params = [])
	{
		$namespace = isset($params['namespace'])
			? $params['namespace'] . '_' . md5(BASE_PATH)
			: md5(BASE_PATH);
		$defaultLifetime = $params['defaultLifetime'] ?? 0;
		$psr6Cache = Injector::inst()->createWithArgs(RedisAdapter::class, [
			$this->client,
			$namespace,
			$defaultLifetime
		]);
		return Injector::inst()->createWithArgs(Psr16Cache::class, [$psr6Cache]);
	}

}
