<?php

namespace Fastrack\Core\Util\Seekom;

use League\OAuth2\Client\OptionProvider\OptionProviderInterface;
use League\OAuth2\Client\Provider\AbstractProvider;

class SeekomOptionProvider implements OptionProviderInterface
{

	/**
	 * Builds request options used for requesting an access token.
	 *
	 * @param string $method
	 * @param  array $params
	 * @return array
	 */
	public function getAccessTokenOptions($method, array $params): array
	{
		$options = [
			'headers' => [
				'Content-Type' => 'application/json',
				'Accept' => 'application/vnd.ibex.v1+json',
			],
		];
		if ($method === AbstractProvider::METHOD_POST) {
			$options['body'] = json_encode($params);
		}
		return $options;
	}


}
