<?php

namespace Fastrack\Core\Util\ServicesApi;

class Address implements Request
{
	private string $address = '';
	private string $address2 = '';
	private string $city = '';
	private string $state = '';
	private string $postcode = '';
	private string $country = '';
	private string $latitude = '';
	private string $longitude = '';

	public function buildRequest(): array
	{
		return [
			'address' => $this->address,
			'address2' => $this->address2,
			'city' => $this->city,
			'state' => $this->state,
			'postcode' => $this->postcode,
			'country' => $this->country,
			'latitude' => $this->latitude,
			'longitude' => $this->longitude,
		];
	}

	/**
	 * @param string $address
	 */
	public function setAddress(string $address): void
	{
		$this->address = $address;
	}

	/**
	 * @param string $address2
	 */
	public function setAddress2(string $address2): void
	{
		$this->address2 = $address2;
	}

	/**
	 * @param string $city
	 */
	public function setCity(string $city): void
	{
		$this->city = $city;
	}

	/**
	 * @param string $state
	 */
	public function setState(string $state): void
	{
		$this->state = $state;
	}

	/**
	 * @param string $postcode
	 */
	public function setPostcode(string $postcode): void
	{
		$this->postcode = $postcode;
	}

	/**
	 * @param string $country
	 */
	public function setCountry(string $country): void
	{
		$this->country = $country;
	}

	/**
	 * @param string $latitude
	 */
	public function setLatitude(string $latitude): void
	{
		$this->latitude = $latitude;
	}

	/**
	 * @param string $longitude
	 */
	public function setLongitude(string $longitude): void
	{
		$this->longitude = $longitude;
	}

}
