<?php

namespace Fastrack\Core\Util\ServicesApi;

class Customer implements Request
{
	private string $eta = '';
	private string $remarks = '';
	private string $title = '';
	private string $firstName = '';
	private string $lastName = '';
	private string $dob = '';
	private string $mobile = '';
	private string $phone = '';
	private string $phoneAH = '';
	private string $email = '';
	private Address $address;
	private bool $marketing = false;

	public function __construct()
	{
		$this->address = new Address();
	}


	public function buildRequest(): array
	{
		return [
			'eta' => $this->eta,
			'remarks' => $this->remarks,
			'title' => $this->title,
			'firstName' => $this->firstName,
			'lastName' => $this->lastName,
			'dob' => $this->dob,
			'mobile' => $this->mobile,
			'phone' => $this->phone,
			'phoneAH' => $this->phoneAH,
			'email' => $this->email,
			'address' => $this->address->buildRequest(),
			'marketing' => $this->marketing,
		];
	}

	/**
	 * @param string $eta
	 */
	public function setEta(string $eta): void
	{
		$this->eta = $eta;
	}

	/**
	 * @param string $remarks
	 */
	public function setRemarks(string $remarks): void
	{
		$this->remarks = $remarks;
	}

	/**
	 * @param string $title
	 */
	public function setTitle(string $title): void
	{
		$this->title = $title;
	}

	/**
	 * @param string $firstName
	 */
	public function setFirstName(string $firstName): void
	{
		$this->firstName = $firstName;
	}

	/**
	 * @param string $lastName
	 */
	public function setLastName(string $lastName): void
	{
		$this->lastName = $lastName;
	}

	/**
	 * @param string $dob
	 */
	public function setDob(string $dob): void
	{
		$this->dob = $dob;
	}

	/**
	 * @param string $mobile
	 */
	public function setMobile(string $mobile): void
	{
		$this->mobile = $mobile;
	}

	/**
	 * @param string $phone
	 */
	public function setPhone(string $phone): void
	{
		$this->phone = $phone;
	}

	/**
	 * @param string $phoneAH
	 */
	public function setPhoneAH(string $phoneAH): void
	{
		$this->phoneAH = $phoneAH;
	}

	/**
	 * @param string $email
	 */
	public function setEmail(string $email): void
	{
		$this->email = $email;
	}

	/**
	 * @param Address $address
	 */
	public function setAddress(Address $address): void
	{
		$this->address = $address;
	}

	/**
	 * @param bool $marketing
	 */
	public function setMarketing(bool $marketing): void
	{
		$this->marketing = $marketing;
	}

}
