<?php

namespace Fastrack\Core\Util\ServicesApi;

class Payment implements Request
{
	private string $paymentId;
	private string $token;
	private string $cardHolderName;
	private string $cardType;
	private string $number;
	private string $ccv;
	private string $expiryDate;
	private string $receiptType;
	private int $amount;

	public function buildRequest(): array
	{
		return [
			'paymentId' => $this->paymentId,
			'token' => $this->token,
			'cardHolderName' => $this->cardHolderName,
			'cardType' => $this->cardType,
			'number' => $this->number,
			'ccv' => $this->ccv,
			'expiryDate' => $this->expiryDate,
			'receiptType' => $this->receiptType,
			'amount' => $this->amount,
		];
	}

	/**
	 * @param string $paymentId
	 */
	public function setPaymentId(string $paymentId): void
	{
		$this->paymentId = $paymentId;
	}

	/**
	 * @param string $token
	 */
	public function setToken(string $token): void
	{
		$this->token = $token;
	}

	/**
	 * @param string $cardHolderName
	 */
	public function setCardHolderName(string $cardHolderName): void
	{
		$this->cardHolderName = $cardHolderName;
	}

	/**
	 * @param string $cardType
	 */
	public function setCardType(string $cardType): void
	{
		$this->cardType = $cardType;
	}

	/**
	 * @param string $number
	 */
	public function setNumber(string $number): void
	{
		$this->number = $number;
	}

	/**
	 * @param string $ccv
	 */
	public function setCcv(string $ccv): void
	{
		$this->ccv = $ccv;
	}

	/**
	 * @param string $expiryDate
	 */
	public function setExpiryDate(string $expiryDate): void
	{
		$this->expiryDate = $expiryDate;
	}

	/**
	 * @param string $receiptType
	 */
	public function setReceiptType(string $receiptType): void
	{
		$this->receiptType = $receiptType;
	}

	/**
	 * @param int $amount
	 */
	public function setAmount(int $amount): void
	{
		$this->amount = $amount;
	}

}
