<?php

namespace Fastrack\Core\Util;

use SilverStripe\Forms\CompositeField;

class Util
{

	/**
	 * Toggle class for hiding/showing composite fields
	 *
	 * For example:
	 * <code>
	 * private static array $db = [
	 * 		'Layout' => 'Enum("FullWidth, HalfWidth")',
	 * ];
	 * public function getCMSFields(): FieldList
	 * {
	 * 	$fields->dataFieldByName('Layout')->addExtraClass(Util::TOGGLE_FIELD_CLASS);
	 * 	CompositeField::create()->addExtraClass(Util::TOGGLE_FIELD_CLASS . '--FullWidth');
	 * 	CompositeField::create()->addExtraClass(Util::TOGGLE_FIELD_CLASS . '--HalfWidth');
	 * }
	 * </code>
	 *
	 */
	const TOGGLE_FIELD_CLASS = 'fastrack-toggle-field';

}
